<template>
  <div>
    <IdGrafico id="012" />
    <div class="divTopIncumplimientos">
      <v-tabs vertical grow :hide-slider="false" class="tabEstiloPrimario">
        <template v-for="(itemNegocio, indexItemNegocio) in negocios">
          <v-tab
            :key="'tab' + indexItemNegocio"
            :class="getClassNegocio(itemNegocio.id_negocio)"
          ></v-tab>
          <v-tab-item :key="'tab-item' + indexItemNegocio">
            <div class="divCol">
              <div class="col2">
                <h3>Top de incumplimiento nivel proceso</h3>
                <template
                  v-for="(itemIncumplimiento,
                  indexItemIncumplimiento) in itemNegocio.incumplimientos"
                >
                  <div
                    :key="indexItemIncumplimiento"
                    class="divIncumplimientos"
                  >
                    <div class="numero">{{ indexItemIncumplimiento + 1 }}</div>
                    <div class="texto">
                      {{ itemIncumplimiento.pregunta }}
                      <br />
                      <div class="bold">
                        En {{ itemIncumplimiento.conteo }} puntos de contacto no
                        se cumple
                      </div>
                    </div>
                  </div>
                </template>
              </div>
              <div class="col2">
                <h3>Frecuencia de imperdonables</h3>
                <template
                  v-for="(itemImperdonables,
                  indexItemImperdonables) in itemNegocio.imperdonables"
                >
                  <div :key="indexItemImperdonables">
                    <div class="barraProgreso">
                      <div
                        :style="{
                          width: itemImperdonables.porcentaje + '%'
                        }"
                        class="bgBarra text-center"
                      >
                        {{ itemImperdonables.porcentaje }}%
                      </div>
                    </div>
                    <div class="textoFrecuencia">
                      "{{ itemImperdonables.pregunta }}"
                      <br />
                      <span class="bold"
                        >En {{ itemImperdonables.sucursales }} puntos de
                        contacto sucede</span
                      >
                    </div>
                    <br />
                  </div>
                </template>
              </div>
            </div>
          </v-tab-item>
        </template>
      </v-tabs>
    </div>
  </div>
</template>
<style scoped>
a.liga {
  color: #000000 !important;
  text-decoration: underline;
  font-family: "AvenirNextLTPro-Medium";
  cursor: pointer;
}
/* GENERAL */
.gris2 {
  width: 100%;
  margin: 0px auto;
  padding: 15px 15px;
  background-color: #fcfcfc;
  width: 100%;
  margin: 0px auto;
  padding: 15px 15px;
  -moz-box-shadow: 0 0px 1px rgb(226, 222, 222);
  -webkit-box-shadow: 0 0px 1px rgb(226, 222, 222);
  box-shadow: 0 0px 1px rgb(226, 222, 222);
  margin-bottom: 15px;
  text-align: justify;
  height: 100%;
  -moz-box-shadow: 0 0px 1px rgb(226, 222, 222);
  -webkit-box-shadow: 0 0px 1px rgb(226, 222, 222);
  box-shadow: 0 0px 1px rgb(226, 222, 222);
  margin-bottom: 15px;
  text-align: justify;
  height: 100%;
}
.divCol {
  display: flex !important;
  flex-wrap: wrap !important;
  align-items: flex-start !important;
}
.divCol > .col6 {
  width: 14.66% !important;
  margin: 15px 1% !important;
}
.tituloBloque {
  font-size: 18px;
  color: #000;
  padding-bottom: 15px;
  font-family: "Avenir_Next_Regular", sans-serif;
}
.bold {
  font-family: "Avenir_Next_Bold", sans-serif;
}
</style>
<style scoped>
.tblVue {
  width: 100%;
  background-color: #fcfcfc !important;
}
.tblVue .tblHead tr th {
  padding: 5px 10px 6px 10px;
  color: #333333 !important;
  text-align: center;
  font-weight: 100;
  border-bottom: 1px solid #3e3d3d !important;
  font-size: 14px;
  font-family: "Avenir_Next_Bold";
  min-width: 87px;
}
.tblVue .v-data-table__wrapper {
  overflow-x: hidden !important;
}

.tblVue .tblBody tr td {
  padding: 7px 10px 7px 10px;
  color: #606664;
  font-size: 13px;
  text-align: center;
  border-bottom: 1px solid #bebebe !important;
}
.tblVue .tblBody tr:last-of-type td {
  border-bottom: none !important;
}

.theme--light.v-data-table tbody tr:hover {
  background: #eeeeee !important;
}

.tblVue tbody tr td.cantidad {
  width: 120px;
  margin: auto;
  text-align: center;
  color: #000;
}
.tblVue tbody tr td div {
  width: 15px;
  height: 15px;
  border-radius: 100%;
  display: inline-block;
  margin-right: 5px;
}
.tblVue tbody tr td img {
  width: 65px;
}

.tblVue tr.total td {
  font-family: "Avenir_Next_Demi_Bold";
}

.divCumplimiento {
  width: 100%;
  margin: 0 auto;
  border: 1px solid #bfbfbf;
  padding-top: 10px;
}
.divCumplimiento .tblVue {
  padding: 15px;
  box-sizing: border-box;
}
.puntajeAmarillo {
  background-color: #f3c75c;
}
.scrollY {
  overflow-y: scroll;
}
.v-tab {
  text-transform: capitalize !important;
  font-weight: inherit !important;
  border-bottom: 2px solid #ffffff;
}
.v-tab:last-of-type {
  border-right: 0px;
}
.theme--light.v-tabs > .v-tabs-bar {
  background-color: #f2f2f2 !important;
}
.tabEstiloPrimario .v-tab--active {
  background-color: #fcfcfc;
  color: #000000 !important;
  font-weight: bold !important;
  box-shadow: -3px 5px 11px -5px rgba(153, 150, 153, 1);
}
.tabEstiloPrimario .v-tab--active:focus {
  background-color: transparent !important;
}
.tab .v-item-group .v-slide-group__wrapper .v-tabs-bar__content .v-tab--active {
  background-color: #ffffff !important;
  color: #ffffff !important;
  font-weight: bold !important;
}
.theme--light.v-tabs-items {
  background-color: transparent !important;
}
.v-tabs--vertical > .v-tabs-bar .v-tab {
  min-height: 96px;
}
.divTopIncumplimientos h3 {
  font-size: 16px;
  color: #000000;
  font-family: "AvenirNextLTPro-Medium";
  margin-bottom: 15px;
}
.tabEstiloPrimario {
  margin-top: 15px;
}
.tabEstiloPrimario .col2 {
  padding: 15px 15px 15px 35px;
  box-sizing: border-box;
  width: 48%;
}
.tabEstiloPrimario .v-window {
  background-color: #fcfcfc !important;
  -webkit-box-shadow: 6px 6px 11px -5px rgb(180, 180, 180);
  -moz-box-shadow: 6px 6px 11px -5px rgba(153, 150, 153, 1);
  box-shadow: 6px 6px 11px -5px rgba(153, 150, 153, 1);
}
.divIncumplimientos {
  width: 100%;
  display: flex;
  color: #000000;
  margin-bottom: 10px;
}
.divIncumplimientos .numero {
  color: #cccccc;
  font-size: 22px;
  text-align: center;
  width: 10%;
  font-family: "Avenir_Next_Bold";
}
.divIncumplimientos .texto {
  width: 90%;
  font-size: 14px;
}

.tabEstiloPrimario .col2:first-of-type {
  border-right: 1px solid #000000;
}

.barraProgreso {
  width: 100%;
  height: 20px;
}
.barraProgreso > div {
  height: 20px;
  font-size: 14px;
  text-align: left;
  padding-left: 15px;
}
.bgBarra {
  background-color: #b4b4b4;
}
.textoFrecuencia {
  font-size: 12px;
  color: #000000;
  text-align: left;
}
.tabEstiloPrimario .v-tab {
  background-repeat: no-repeat;
  background-size: 70px;
  background-position: center;
}
.tabEstiloPrimario .tabGrupoElektra {
  background-image: url("~@/assets/img/logoGEKBN.svg");
}

.tabGrupoElektra.v-tab--active {
  background-image: url("~@/assets/img/logoGrupoElektra.svg") !important;
}

.tabEstiloPrimario .tabBAZ {
  background-image: url("~@/assets/img/logoBAZBN.svg");
}

.tabBAZ.v-tab--active {
  background-image: url("~@/assets/img/logoBancoAzteca.svg") !important;
}

.tabEstiloPrimario .tabEKT {
  background-image: url("~@/assets/img/logoEKTBN.svg");
}
.tabEKT.v-tab--active {
  background-image: url("~@/assets/img/logoElektra.svg") !important;
}

.tabEstiloPrimario .tabPrestaPrenda {
  background-image: url("~@/assets/img/logoPPRBN.svg");
}
.tabPrestaPrenda.v-tab--active {
  background-image: url("~@/assets/img/logoPrestaPrenda.svg") !important;
}

.tabEstiloPrimario .tabGCC {
  background-image: url("~@/assets/img/logoGCCBN.svg");
}

.tabGCC.v-tab--active {
  background-image: url("~@/assets/img/logoGCC.svg") !important;
}

.tabEstiloPrimario .tabCYF {
  background-image: url("~@/assets/img/logoCyFBN.svg");
}

.tabCYF.v-tab--active {
  background-image: url("~@/assets/img/logoCyF.svg") !important;
}

@media (min-width: 1264px) {
  .container {
    max-width: 100% !important;
  }
}

@media (min-width: 960px) {
  .container {
    max-width: 100% !important;
  }
}
</style>
<script>
import store from "@/store";
import axios from "axios";
import IdGrafico from "@/views/secure/sistema-informacion/dashboards/commons/IdGraficoLabel.vue";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "Component-IncumplimientosImperdonables",
  props: {
    methodsSemaforoParent: Object,
    globalFiltersParent: Object
  },
  components: {
    IdGrafico
  },
  data() {
    return {
      isLoadingIncumplimientosImperdonables: true,
      isPersentValue: true,
      methodsSemaforo: null,
      globalFilters: null,
      negocios: []
    };
  },
  methods: {
    listenSearchConsulta(globalFilters) {
      this.globalFilters = globalFilters;
      this.getIncumplimientosImperdonables();
    },
    getIncumplimientosImperdonables() {
      this.isLoadingIncumplimientosImperdonables = true;
      const self = this;
      const contentFiltros = {
        filtros: this.globalFilters.final_filters
      };
      axios
        .post(
          "franquicia/dashboard/secure/grafico/get/incumplimiento/imperdonable/negocios/nivel",
          contentFiltros
        )
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                self.setIncumplimientosImperdonables(data.negocios);
              }
            } else {
              self.setIncumplimientosImperdonables([]);
            }
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(function() {
          self.isLoadingIncumplimientosImperdonables = false;
        });
    },
    setIncumplimientosImperdonables(negocios) {
      if (negocios) {
        negocios.forEach((itemNegocio) => {
          itemNegocio.logo_image = serviceCommons.getLogoImageByIdNegocio(
            itemNegocio.id_negocio
          );
        });
      }
      this.negocios = negocios;
    },
    getClassNegocio(idNegocio) {
      let classNegocio;
      if (idNegocio == 1) {
        classNegocio = "tabBAZ";
      }
      if (idNegocio == 2) {
        classNegocio = "tabEKT";
      }
      if (idNegocio == 3) {
        classNegocio = "tabPrestaPrenda";
      }
      if (idNegocio == 4) {
        classNegocio = "tabGrupoElektra";
      }
      if (idNegocio == 5) {
        classNegocio = "tabGCC";
      }
      if (idNegocio == 6) {
        classNegocio = "tabCYF";
      }
      return classNegocio;
    }
  },
  mounted() {
    this.$root.$on("searchconsulta", this.listenSearchConsulta);
  },
  created() {
    this.globalFilters = this.globalFiltersParent;
    if (this.globalFilters) {
      this.getIncumplimientosImperdonables();
    }
  }
};
</script>
